Subject: Re: Problem with git-cvsimport

From: Aidan Van Dyk <[email-masked]>
Date: Wed, 31 Oct 2007 08:40:29 -0400

Robin Rosenberg wrote:

> I use fromcvs which is *very* fast, and quite memory conservative compared
> to the others and seems reliable so far (six months). It probably breaks
> on exotic variants of branches though, but I don't have those / don't care
> about them.

I actually use fromcvs for a few repositories, and actually started using it
on repositories where cvsps (and git-cvsimport) fail.

> Drawbacks, more dependencies and access to the rcs files is required and
> tags are not converted.

Most projects have "rsyncs" or "tarballs" of their CVS repository available,
making fromcvs possible on most of them.  And CVS tags, well they are about
as good as CVS $Keywords$.